Loading...
Searching...
No Matches
sdbus::AsyncPropertyGetter Class Reference

## Public Member Functions

AsyncPropertyGetter & | onInterface (std::string_view interfaceName)
template<typename _Function>
PendingAsyncCall | uponReplyInvoke (_Function &&callback)
template<typename _Function>
Slot | uponReplyInvoke (_Function &&callback, return_slot_t)
std::future< Variant > | getResultAsFuture ()

The documentation for this class was generated from the following files:

- include/sdbus-c++/ConvenienceApiClasses.h
- include/sdbus-c++/ConvenienceApiClasses.inl